<!-- eslint-disable no-debugger -->
<template>
  <v-text-field
    ref="input"
    :value="name"
    @keyup.enter="addValue($event)"
    @input="updateName"
    label="Add todo list"
  ></v-text-field>
</template>

<script lang="ts" setup>
import { ref, onMounted } from "vue";

const emits = defineEmits({
  addTask: (value: String) => {
    if (value !== "") {
      return true;
    } else {
      console.warn("Invalid submit event payload!");
      return false;
    }
  },
  editTaskValue: (value: String) => {
    if (value !== "") {
      return true;
    } else {
      console.warn("Invalid submit event payload!");
      return false;
    }
  },
});

const props = defineProps(["editdata", "index"]);
const name = ref(props.editdata);
const input = ref();

onMounted(() => {
  input.value.focus();
});

function updateName(event: { target: { value: any } }) {
  name.value = event.target.value;
}

function addValue(val: any) {
  if (val.target.value !== "") {
    if (props.index < 0) {
      emits("addTask", val.target.value);
    } else {
      emits("editTaskValue", val.target.value);
    }
  }
}
</script>
